From 85a0675f008b840cb3e91c385aeb5a293095fe89 Mon Sep 17 00:00:00 2001
From: Thomas Munro <thomas.munro@enterprisedb.com>
Date: Fri, 1 Dec 2017 15:34:23 +1300
Subject: [PATCH] Update documentation to mention huge pages on other OSes.

Currently the docs imply that only Linux can use huge pages.  That's not quite
true: it's just that Linux is the only OS where we know how to request them
explicitly.
---
 doc/src/sgml/config.sgml | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

diff --git a/doc/src/sgml/config.sgml b/doc/src/sgml/config.sgml
index 3060597011d..a911df0ab77 100644
--- a/doc/src/sgml/config.sgml
+++ b/doc/src/sgml/config.sgml
@@ -1363,7 +1363,7 @@ include_dir 'conf.d'
       </term>
       <listitem>
        <para>
-        Enables/disables the use of huge memory pages. Valid values are
+        Controls whether huge memory pages are requested. Valid values are
         <literal>try</literal> (the default), <literal>on</literal>,
         and <literal>off</literal>.
        </para>
@@ -1371,6 +1371,9 @@ include_dir 'conf.d'
        <para>
         At present, this feature is supported only on Linux. The setting is
         ignored on other systems when set to <literal>try</literal>.
+        Note that some other operating systems including FreeBSD and Illumos
+        support huge pages (also known as "super" pages or "large" pages)
+        automatically without an explicit request from PostgreSQL.
        </para>
 
        <para>
-- 
2.15.0

